using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace UNSCI
{
    public class Infantry
    {
        private const string V = "U.S. Vietnam -TWS";

        public static void Main()
        {
            //U.S. Vietnam Soldier
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "U.S. Vietnam Soldier-TWS", 
			        DescriptionOverride = "Seen some things..",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("Americansol.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Soldier.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
                        foreach (var body in person.Limbs)
                        {
                             body.BaseStrength *= 1f;                          
                             body.Health *= 1f;
                             body.BreakingThreshold *= 2f;
                        }


			        }
			    }
		    );
            //U.S. Vietnam Soldier 2
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "U.S. Vietnam Soldier (Variant 2)-TWS", 
			        DescriptionOverride = "Seen some things..",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("soldier2thumb.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Soldier2.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
                        foreach (var body in person.Limbs)
                        {
                             body.BaseStrength *= 1f;                          
                             body.Health *= 1f;
                             body.BreakingThreshold *= 2f;
                        }


			        }
			    }
		    );
            //U.S. Vietnam Soldier (GB)
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "U.S. Vietnam Green Beret (Variant 1)-TWS", 
			        DescriptionOverride = "Special elite units",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("Greenb1.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Soldier3.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
                        foreach (var body in person.Limbs)
                        {
                             body.BaseStrength *= 1f;                          
                             body.Health *= 1f;
                             body.BreakingThreshold *= 2f;
                        }


			        }
			    }
		    );
            //U.S. Vietnam Soldier 2 (GB)
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "U.S. Vietnam Green Beret (Variant 2)-TWS", 
			        DescriptionOverride = "Seen some things..",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("Greenb2.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Soldier4.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
                        foreach (var body in person.Limbs)
                        {
                             body.BaseStrength *= 1f;                          
                             body.Health *= 1f;
                             body.BreakingThreshold *= 2f;
                        }


			        }
			    }
		    );
            
             //U.S. Vietnam Soldier 3
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "U.S. Vietnam Soldier (Variant 3)-TWS", 
			        DescriptionOverride = "Seen some things..",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("Soldier5var.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Soldier5.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
                        foreach (var body in person.Limbs)
                        {
                             body.BaseStrength *= 1f;                          
                             body.Health *= 1f;
                             body.BreakingThreshold *= 2f;
                        }


			        }
			    }
		    );
            //U.S. Vietnam Soldier 4
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "U.S. Vietnam Soldier (Variant 4)-TWS", 
			        DescriptionOverride = "Seen some things..",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("Soldier6var.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Soldier6.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
                        foreach (var body in person.Limbs)
                        {
                             body.BaseStrength *= 1f;                          
                             body.Health *= 1f;
                             body.BreakingThreshold *= 2f;
                        }
			        }
			    }
		    );
            //U.S. Huey Pilot
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "U.S. Huey Pilot-TWS", 
			        DescriptionOverride = "Need evac? Okay!",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("pilotthumb.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Pilot.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
                        foreach (var body in person.Limbs)
                        {
                             body.BaseStrength *= 1f;                          
                             body.Health *= 1f;
                             body.BreakingThreshold *= 2f;
                        }
			        }
			    }
		    );
             //Vietnam Flak Vest
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "U.S. Vietnam Flak Vest -TWS",
                    NameToOrderByOverride = "Human 2",
                    DescriptionOverride = "A vest to protect from shrapnel.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flakthumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flaktop.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = true;

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;
                        armor.otherSprite = "Flakmid.png";
                        armor.otherName = "U.S. Vietnam Flak Vest -TWS";
                        armor.otherPiece = "MiddleBody";
                        armor.otherTier = 2;
                        armor.otherResist = 10f;
                        armor.thirdsprite = "Flakbottom.png";
                        armor.thirdpart = "LowerBody";
                        armor.SpawnOtherParts();

                        Instance.FixColliders();
                    }
                }
            );
             //Vietnam Ammo Bandolier
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Bandolier -TWS",
                    NameToOrderByOverride = "Human 2",
                    DescriptionOverride = "A leather sling that carries bullets.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Bandthumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BandolierTop.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = true;

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;
                        armor.otherSprite = "BandolierMid.png";
                        armor.otherName = "U.S. Vietnam Flak Vest -TWS";
                        armor.otherPiece = "MiddleBody";
                        armor.otherTier = 2;
                        armor.otherResist = 10f;
                        armor.thirdsprite = "BandolierBottom.png";
                        armor.thirdpart = "LowerBody";
                        armor.SpawnOtherParts();

                        Instance.FixColliders();
                    }
                }
            );
             //Vietnam U.S. Vest
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "U.S. Vest -TWS",
                    NameToOrderByOverride = "Human 2",
                    DescriptionOverride = "A simple vest used for carrying ammo and other things.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Americanvest.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SoldierTop.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = true;

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;
                        armor.otherSprite = "SoldierMid.png";
                        armor.otherName = "U.S. Vietnam Flak Vest -TWS";
                        armor.otherPiece = "MiddleBody";
                        armor.otherTier = 2;
                        armor.otherResist = 10f;
                        armor.thirdsprite = "SoldierBottom.png";
                        armor.thirdpart = "LowerBody";
                        armor.SpawnOtherParts();

                        Instance.FixColliders();
                    }
                }
            );
            //Vietnam U.S. Pilot Vest
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "U.S. Pilot Vest -TWS",
                    NameToOrderByOverride = "Human 2",
                    DescriptionOverride = "Won't protect the pilot too much....",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("pilotvestthumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pilottop.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = true;

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;
                        armor.otherSprite = "Pilotmid.png";
                        armor.otherName = "U.S. Vietnam Flak Vest -TWS";
                        armor.otherPiece = "MiddleBody";
                        armor.otherTier = 2;
                        armor.otherResist = 10f;
                        armor.thirdsprite = "pilotbottom.png";
                        armor.thirdpart = "LowerBody";
                        armor.SpawnOtherParts();

                        Instance.FixColliders();
                    }
                }
            );
            //Green Beret
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Green Beret -TWS",
                    NameToOrderByOverride = "U.S. Vietnam Flak Vest -TWS 2",
                    DescriptionOverride = "Worn by special elite units.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("GreenThumb.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Greenb.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
						Instance.FixColliders();
                    }
                }
            );
            //Boonie
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Camo Boonie -TWS",
                    NameToOrderByOverride = "U.S. Vietnam Flak Vest -TWS 2",
                    DescriptionOverride = "This will totally hide my head!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("booniethumb.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Boonie.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
						Instance.FixColliders();
                    }
                }
            );
            //U.S. Helmet
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "U.S. Standard Issue Helmet -TWS",
                    NameToOrderByOverride = "U.S. Vietnam Soldier Vest -TWS 2",
                    DescriptionOverride = "Fortunate Son.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Helmetamerican.png", 1f),
                    AfterSpawn = (Instance) =>
        
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SoldierHelm.png", 1f);
						Instance.FixColliders();
                    

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SoldierHelm.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
						Instance.FixColliders();
                    }
                }
            );
            //U.S. Helmet 2
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "U.S. Standard Issue Helmet (2nd variant) -TWS",
                    NameToOrderByOverride = "U.S. Vietnam Soldier Vest -TWS 2",
                    DescriptionOverride = "Fortunate Son.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("helmet2thumb.png", 1f),
                    AfterSpawn = (Instance) =>
        
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helm2.png", 1f);
						Instance.FixColliders();
                    

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helm2.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
						Instance.FixColliders();
                    }
                }
            );
            //U.S. Pilot Helm
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "U.S. Pilot Helmet -TWS",
                    NameToOrderByOverride = "U.S. Vietnam Soldier Vest -TWS 2",
                    DescriptionOverride = "Looks cool",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("pilothelmthumb.png", 1f),
                    AfterSpawn = (Instance) =>
        
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pilothelm.png", 1f);
						Instance.FixColliders();
                    

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pilothelm.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
						Instance.FixColliders();
                    }
                }
            );
             //Vietcong Soldier
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "Vietcong Soldier -TWS", 
			        DescriptionOverride = "I might be in the trees!",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("Vietconginfantry.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Vietcong.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
			        }
			    }
			);
            //Vietcong Soldier 2
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "Vietcong Soldier (2nd Variant)-TWS", 
			        DescriptionOverride = "I might be in the trees!",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("Viet.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Vietcong2.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
			        }
			    }
			);
             //Vietcong Soldier 3
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "Vietcong Soldier (3rd Variant) -TWS", 
			        DescriptionOverride = "I might be in the trees!",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("vietcongthumb3.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("Vietcong3.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
			        }
			    }
			);
             //NVA Soldier
            ModAPI.Register(
			    new Modification()
			    {
			        OriginalItem = ModAPI.FindSpawnable("Human"), 
			        NameOverride = "North Vietnam Soldier -TWS", 
			        DescriptionOverride = "People have been using this npc improperly. They worked with the Vietcong!",
			        CategoryOverride = ModAPI.FindCategory("Entities"), 
			        ThumbnailOverride = ModAPI.LoadSprite("NVAsoldier.png"), 
			        AfterSpawn = (Instance) => 
			        {
			           
			            var skin = ModAPI.LoadTexture("NVA.png");
						
			            

			            
			            var person = Instance.GetComponent<PersonBehaviour>();

			            
			            person.SetBodyTextures(skin, null, null, 1);

			            
			            person.SetBruiseColor(100, 100, 100); 
			            person.SetSecondBruiseColor(154, 0, 7); 
			            person.SetThirdBruiseColor(207, 206, 120); 
			            person.SetRottenColour(202, 199, 104); 
			            person.SetBloodColour(108, 0, 4); 
			        }
			    }
			);
             //NVA Hat
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "NVA Hat-TWS",
                    NameToOrderByOverride = "Vietcong vest -TWS 2",
                    DescriptionOverride = "A hat worn by the NVA.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("NVAhatimg.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NVAhat.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
						Instance.FixColliders();
                    }
                }
            );
            //NVA Vest
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "NVA Vest -TWS",
                    NameToOrderByOverride = "Veitcong Straw Hat -TWS 2",
                    DescriptionOverride = "Vests worn by the NVA",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("NVAVESTimg.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NVAtop.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = true;

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                        armor.otherSprite = "NVAmiddle.png";
                        armor.otherName = "NVA Vest -TWS";
                        armor.otherPiece = "MiddleBody";
                        armor.otherTier = 1;
                        armor.otherResist = 10f;
                        armor.thirdsprite = "NVAbottom.png";
                        armor.thirdpart = "LowerBody";
                        armor.SpawnOtherParts();

                        Instance.FixColliders();
                    }
                }
            );   
             //Bandana
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Bandanna -TWS",
                    NameToOrderByOverride = "Vietcong vest -TWS 2",
                    DescriptionOverride = "Just a casual bandanna.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("bandanaimg.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bandana.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
						Instance.FixColliders();
                    }
                }
            );
             //Veitcong Straw Hat
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Veitcong Straw Hat -TWS",
                    NameToOrderByOverride = "Vietcong vest -TWS 2",
                    DescriptionOverride = "A hat worn by the Vietcong.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Strawhat.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vietconghat.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
						Instance.FixColliders();
                    }
                }
            );
             //Veitcong hat 2
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Veitcong Hat -TWS",
                    NameToOrderByOverride = "Vietcong vest -TWS 2",
                    DescriptionOverride = "Another hat worn by the Vietcong.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Veitconghat2img.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vietconghat2.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
						Instance.FixColliders();
                    }
                }
            );
            //Vietcong var 1 armor
            ModAPI.Register(
                new Modification()
                {       
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Vietcong vest -TWS",
                    NameToOrderByOverride = "Veitcong Straw Hat -TWS 2",
                    DescriptionOverride = "Vests worn by the Vietcong",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Congvest.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VietcongTop.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = true;

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                        armor.otherSprite = "VietcongMid.png";
                        armor.otherName = "Vietcong vest -TWS";
                        armor.otherPiece = "MiddleBody";
                        armor.otherTier = 1;
                        armor.otherResist = 10f;
                        armor.thirdsprite = "VietcongBottom.png";
                        armor.thirdpart = "LowerBody";
                        armor.SpawnOtherParts();

                        Instance.FixColliders();
                    }
                }
            );   
            //M16
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "M16 -TWS",
                    NameToOrderByOverride = "M16",
                    DescriptionOverride = "Dammit! It's jammed again!.",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("16img.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M16Rifle.png", 1f);
                        Instance.FixColliders();
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("M16Shot.mp3")
                            
                        };
                    }
                }
            );
            //M14
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "M14 -TWS",
                    NameToOrderByOverride = "M14",
                    DescriptionOverride = "Not too reiable...",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("m14img.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M14Rifle.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("M14shot.mp3")
                            
                        };
                    }
                }
            );
            //Ak47
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "AK-47 -TWS",
                    NameToOrderByOverride = "Type 56 -TWS 2",
                    DescriptionOverride = "A reliable russian firearm.",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Ak47Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ak47.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Ak47shot.mp3")
                            
                        };
                    }
                }
            );
             //SKS
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Type 56 -TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "A Chinese variant of the Russian SKS",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Typesomething.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sks.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Skssound.mp3")
                            
                            
                        };
                    }
                }
            );
            //AlicePack
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "U.S. Soldier Alice Pack -TWS",
                    NameToOrderByOverride = "U.S. Vietnam Soldier Vest -TWS 3",
                    DescriptionOverride = "A rig for carrying items like radios and ammo.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Alicepackthing.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Alice.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                    }
                }
            );
            //Radio
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Jukebox"),
                    NameOverride = "U.S. AN/PRC-77 -TWS",
                    NameToOrderByOverride = "U.S. Vietnam Soldier Vest -TWS 3",
                    DescriptionOverride = "(It acts like an armor peice so put it on with the Alicepack).",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Radiothumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("radio.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                    }
                }
            );
            //Thumper Grenade launcher
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "M79 Grenade Launcher -TWS",
                    DescriptionOverride = "Bloop Tube.",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Blooptoob.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Thumper.png", 1f);
                        Instance.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Gren");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 7.5f;
                        Instance.FixColliders();
                    }//Most of this script was referenced from Pablo's weapons
                }
            );
             //Underbarrel Grenade launcher
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "XM148 Underbarrel Grenade Launcher -TWS",
                    DescriptionOverride = "(To attach, disable it's collision, and then attach it with some sort of wire under the m16)",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("grenlaunch.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Underb.png", 1f);
                        Instance.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Gren");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 7.5f;
                        Instance.FixColliders();
                    }//Most of this script was referenced from Pablo's weapons
                }
            );
            //Gren
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
                    NameOverride = "Gren",
                    DescriptionOverride = "Boom.",
                    CategoryOverride = ModAPI.FindCategory("None"),
                    ThumbnailOverride = ModAPI.LoadSprite("Gren.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Gren.png");
                        Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 0.5f;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.244f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.244f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.24f;
                        Instance.GetComponent<ExplosiveBehaviour>().FragmentForce = 2.35f;
                        Instance.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 1f;
                        Instance.GetComponent<ExplosiveBehaviour>().Range = 14.3f;
                        Instance.GetComponent<ExplosiveBehaviour>().FragmentationRayCount = 26;
                        Instance.FixColliders();
                    }//Most of this script was referenced from Pablo's weapons
                }
            );
             //M1942 Machete
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "M1942 Machete -TWS",
                    DescriptionOverride = "Use this to cut through the dense jungles of Vietnam!",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("Machetethumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Machete.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );
             //Punji stick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Punji Stick -TWS",
                    DescriptionOverride = "Often covered in feces, these sticks of sharpened bamboo were meant to infect a wound after being impaled!",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("Pong.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Panju.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );
            //Remington700
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Reminton 700 -TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "A sniper used by the Americans in Vietnam",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Rem7.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Rem700.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("R700.mp3")
                            
                            
                        };
                    }
                }
            );
             //M67
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
                    NameOverride = "M67 Grenade -TWS",
                    DescriptionOverride = "An American handgrenade",
                    CategoryOverride = ModAPI.FindCategory("Explosives"),
                    ThumbnailOverride = ModAPI.LoadSprite("Grenthumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m67.png");
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.30f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.34f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.26f;
                        Instance.GetComponent<ExplosiveBehaviour>().FragmentForce = 2.4f;
                        Instance.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 0.5f;
                        Instance.GetComponent<ExplosiveBehaviour>().Range = 10f;
                        Instance.GetComponent<ExplosiveBehaviour>().FragmentationRayCount = 20;
                        Instance.FixColliders();
                    }
                }//Most of this script was referenced from Pablo's weapons
            );
            //K50
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                    NameOverride = "K-50 Submachine Gun -TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "A conversion of the Type 50 Chinese submachine gun.",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("K50thum.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("K50sub.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );
            //M60 Machine Gun
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"),
                    NameOverride = "M60 Light Machine Gun -TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "Come get some!",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("M60thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M60.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.AutomaticFireInterval = 0.12f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("M60shot.mp3")
                            
                            
                        };
                    }
                }
            );
             //RPD
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "RPD Light Machine Gun -TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "A Russian Machine Gun",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("rpdthumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RPD.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.AutomaticFireInterval = 0.12f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("RPDSHOT.mp3")
                            
                            
                        };
                    }
                }
            );
            //DP28
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                    NameOverride = "DP28 Light Machine Gun -TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "A Russian LMG",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("DP28thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("dp28.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.AutomaticFireInterval = 0.12f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Dp28shot.mp3")
                            
                            
                        };
                    }
                }
            );
             //M1911
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "M1911 Handgun -TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "A famous American Sidearm.",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("1911thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m1911.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("1911shot.mp3")
                            
                            
                        };
                    }
                }
            );
            //TT33
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "TT-33 Pistol-TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "A Russian handgun.",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("tt33thum.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TT33.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("TT33Shot.mp3")
                            
                            
                        };
                    }
                }
            );
            //M9A1-7 Flamethrower
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flamethrower"),
                    NameOverride = "M9A1-7 Flamethrower -TWS",
                    NameToOrderByOverride = "bt",
                    DescriptionOverride = "Time to burn some jungles!.",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flamethumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M9.png");
						Instance.FixColliders();
                    }
                }
            );
            //m9a1-7 flamethrower tank
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                    NameOverride = "M9A1-7 Fueltank -TWS",
                    NameToOrderByOverride = "fwft",
                    DescriptionOverride = "Hopefully no one shoots it!",
                    CategoryOverride = ModAPI.FindCategory("Explosives"),
                    ThumbnailOverride = ModAPI.LoadSprite("Fuelthumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M9tank.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                    }
                }
            );
            //Garand
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "M1 Garand -TWS",
                    NameToOrderByOverride = "M14",
                    DescriptionOverride = "Rather use this than an M14",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Garandthumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Garand.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Garandshot.mp3")
                            
                        };
                    }
                }
            );
            //M3A1 Grease Gun
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                    NameOverride = "M3A1 Grease Gun -TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "I'd still use this over the m14.",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Greasethumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Grease.png", 1f);
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.AutomaticFireInterval = 0.14f;

                    }
                }
            );
            //Thompson
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                    NameOverride = "M1A1 Thompson -TWS",
                    NameToOrderByOverride = "AK-47 -TWS 2",
                    DescriptionOverride = "The good ol' annihilator",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Tomthumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tom.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;


                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Tomshot.mp3")
                            
                        };
                    }
                }
            );
            //Mat49
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                    NameOverride = "Mat-49 -TWS",
                    NameToOrderByOverride = "Mat49",
                    DescriptionOverride = "Considered to be the best french gun ever made.",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Matimg.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mat49.png", 1f);
                        Instance.FixColliders();
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.InitialInaccuracy = 0f;
                        firearm.BulletsPerShot = 1;
                        firearm.AutomaticFireInterval = 0.1f;
                        firearm.AutomaticFireInterval = 0.10f;

                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("matshot.mp3")
                            
                        };
                    }
                }
            );
            //Ithaca
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "Ithaca 37 -TWS",
                    DescriptionOverride = "Bang",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Ithacaimg.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        //creating a custom cartridge for the gun
                        Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                        customCartridge.name = "7.63×25mm Mauser"; //set a name
                        customCartridge.Damage *= 0.5f; //change the damage however you like
                        customCartridge.StartSpeed *= 1.7f; //change the bullet velocity
                        customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
                        customCartridge.Recoil *= 1.4f; //change the recoil
                        customCartridge.ImpactForce *= 1f; //change how much the bullet pushes the target

                        //set the cartridge to the FirearmBehaviour
                        firearm.Cartridge = customCartridge;
                        firearm.ShotSounds = new AudioClip[]

                        {
                            ModAPI.LoadSound("Ithacasound.mp3"),
                    };

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("37.png", 1f);
                        Instance.FixColliders();
                    }
                }
            );
            //RPG-7
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rocket Launcher"),
                    NameOverride = "RPG-7 -TWS",
                    NameToOrderByOverride = "rpg",
                    DescriptionOverride = "RPG!!!",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("rpg7thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rpg7.png");
						Instance.FixColliders();
                    }
                }
            );
            //Napalm
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("General Purpose Bomb"),
                    NameOverride = "Napalm bomb -TWS",
                    NameToOrderByOverride = "Napalm",
                    DescriptionOverride = "Use to commit war crimes",
                    CategoryOverride = ModAPI.FindCategory("Explosives"),
                    ThumbnailOverride = ModAPI.LoadSprite("Napalmimg - Copy.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Napalm.png");
						Instance.FixColliders();
                        Instance.GetComponent<ExplosiveBehaviour>().BurnPower = 0.5f;
                        Instance.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 1f;
                    }
                }
            );
            //Rice bag
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Rice bag -TWS",
                    NameToOrderByOverride = "Rice bag",
                    DescriptionOverride = "Protect it with your life.(The words on the bag mean broken rice grains)",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Riceimg.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ricebag.png");
						Instance.FixColliders();
                    }
                }  
            ); 
        }      
    } 
}     
